<template>
	<div class="admin-create-experience">
		<h2>Expérience</h2>
		<section>
			<h3>Création Expérience</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<input
						v-model="experienceName"
						name="experienceName"
						placeholder="Nom de l'expérience"
						required
						type="text" />
				</label>
				<button
					type="submit"
					@click="submitCreateExperience">
					Click Here
				</button>
			</form>
		</section>
		<hr />
		<section>
			<h3>Ajout d'étapes</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<select
						name="experienceName"
						required>
						<option
							v-for="experienceName in experienceNames"
							:key="experienceName"
							:value="experienceName">
							{{ experienceName }}
						</option>
					</select>
				</label>
				<label for="newStep">
					<span>Nouvelle étape</span>
					<input
						name="newStep"
						placeholder="Nouvelle étape"
						required
						type="text" />
				</label>
				<button
					type="submit"
					@click="submitAddStep">
					Click Here
				</button>
			</form>
		</section>
		<hr />
		<section>
			<h3>Suppression d'étapes</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<select
						name="experienceName"
						required>
						<option
							v-for="experienceNameTmp in experienceNames"
							:key="experienceNameTmp"
							:value="experienceNameTmp">
							{{ experienceNameTmp }}
						</option>
					</select>
				</label>
				<label for="newStep">
					<span>Étape à supprimer</span>
					<input
						name="newStep"
						placeholder="Étape à supprimer"
						required
						type="text" />
				</label>
				<button
					type="submit"
					@click="submitDeleteStep">
					Click Here
				</button>
			</form>
		</section>
		<section>
			<h3>Suppression d'éxperience</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<select
						name="experienceName"
						required>
						<option
							v-for="experienceNameTmp in experienceNames"
							:key="experienceNameTmp"
							:value="experienceNameTmp">
							{{ experienceNameTmp }}
						</option>
					</select>
				</label>
				<button
					type="submit"
					@click="submitDeleteExperience">
					Click Here
				</button>
			</form>
		</section>
	</div>
</template>

<script lang="ts">
	import { defineComponent } from "vue"

	interface DataComponent {
		experienceName: string
		experienceNames: string[]
		newStep: string
	}

	export default defineComponent({
		name: "AdminCreateExperience",
		data(): DataComponent {
			return {
				experienceName: "",
				experienceNames: ["1", "2", "3"],
				newStep: "",
			}
		},
		methods: {
			submitCreateExperience() {
				console.log(this.experienceName)
				// TODO: call API to create experience
			},
			submitAddStep() {
				console.log(this.newStep)
				// TODO: call API to add step
			},
			submitDeleteStep() {
				console.log(this.newStep)
				// TODO: call API to delete step
			},
			submitDeleteExperience() {
				console.log(this.experienceName)
				// TODO: call API to delete experience
			},
		},
	})
</script>

<style lang="scss" scoped>
	.admin-create-experience {
		width: 80vw;
		margin: 0 auto;

		section {
			width: 60vw;
			margin: auto 20vh;

			h2 {
				font-size: 2em;
				text-align: center;
				margin-bottom: 1vh;
			}

			form {
				width: max-content;
				margin: 0 auto;
				display: flex;
				flex-direction: column;
				font-size: 1em;

				label {
					margin-bottom: 2vh;

					span {
						margin-right: 0.5vw;
					}
				}

				button {
					margin-top: 2vh;
					width: fit-content;
					align-self: center;
				}
			}
		}

		hr {
			display: block;
			border: 1px solid white;
			width: 40vw;
			margin-top: 5vh;
			margin-bottom: 5vh;
			text-align: center;
		}
	}
</style>
